# Uses of Interface
org.apache.sling.feature.analyser.task.AnalyserTask

Packages that use AnalyserTask
Package
Description
org.apache.sling.feature.analyser
org.apache.sling.feature.analyser.task

## Uses of AnalyserTask in org.apache.sling.feature.analyser

Constructors in org.apache.sling.feature.analyser with parameters of type AnalyserTask
Modifier
Constructor
Description
``
`Analyser(Scanner scanner, Map<String, Map<String,String>> configurations, AnalyserTask... tasks)`
Create a new analyser with a provided scanner, tasks and configurations
``
`Analyser(Scanner scanner, AnalyserTask... tasks)`
Create new analyser with a provided scanner and the tasks to run

## Uses of AnalyserTask in org.apache.sling.feature.analyser.task

Methods in org.apache.sling.feature.analyser.task that return AnalyserTask
Modifier and Type
Method
Description
`static AnalyserTask[]`
AnalyzerTaskProvider.`getTasks()`
Get all tasks.
`static AnalyserTask[]`
AnalyzerTaskProvider.`getTasksByClassName(String... taskClassNames)`
Get tasks from class names
`static AnalyserTask[]`
AnalyzerTaskProvider.`getTasksByIds(Set<String> includes, Set<String> excludes)`
Get all tasks and obey the includes/excludes rules.